Package org.jbpm.runtime.manager.impl.error.filters

## Class ProcessExecutionErrorFilter

- java.lang.Object
- - org.jbpm.runtime.manager.impl.error.filters.AbstractExecutionErrorFilter
  - - org.jbpm.runtime.manager.impl.error.filters.ProcessExecutionErrorFilter

- All Implemented Interfaces:
    `org.kie.internal.runtime.error.ExecutionErrorFilter`

      public class ProcessExecutionErrorFilter
      extends AbstractExecutionErrorFilter

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessExecutionErrorFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `accept​(org.kie.internal.runtime.error.ExecutionErrorContext errorContext)` |
    `org.kie.internal.runtime.error.ExecutionError` | `filter​(org.kie.internal.runtime.error.ExecutionErrorContext errorContext)` |
    `Integer` | `getPriority()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.jbpm.runtime.manager.impl.error.filters.AbstractExecutionErrorFilter

      `getInitActivityId, getStackTrace, nodeName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.error.ExecutionErrorFilter

      `extract, isCausedBy`

- - ### Field Detail

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProcessExecutionErrorFilter

          public ProcessExecutionErrorFilter()

  - ### Method Detail

    - #### accept

          public boolean accept​(org.kie.internal.runtime.error.ExecutionErrorContext errorContext)

    - #### filter

          public org.kie.internal.runtime.error.ExecutionError filter​(org.kie.internal.runtime.error.ExecutionErrorContext errorContext)

    - #### getPriority

          public Integer getPriority()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`